- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Attributes

# ImgLockPageIterator Class Reference

This reference page is linked to from the following overview topics: Images.

Search for all occurrences

## Detailed Description

Iterate over a specified region of an image in optimal order, and locking it in CPU memory.

Definition at line 1225 of file image.h.

`#include <image.h>`

Inheritance diagram for ImgLockPageIterator:
[legend]

List of all members.

## Public Types
enum | AccessMode { ReadOnly, ReadWrite, WriteOnly }
## Public Member Functions
| ImgLockPageIterator (Image *img, const ImgTile *srcTile=0, AccessMode mode=ReadOnly)
| ~ImgLockPageIterator ()
virtual bool | next ()
void * | dataPtr ()
## Protected Attributes
bool | m_SmartImage
AccessMode | m_Mode

## Member Enumeration Documentation

enum AccessMode

Search for all occurrences

Enumerator:

  ReadOnly | A promise that the data in this page will not be modified. Search for all occurrences
  ReadWrite | self explanitory Search for all occurrences
  WriteOnly | The page data will be allocated bye the contents will be undefined. Search for all occurrences

Definition at line 1227 of file image.h.

                     {
            ReadOnly,
            ReadWrite,
            WriteOnly
        } AccessMode;

## Constructor & Destructor Documentation

ImgLockPageIterator | ( | Image * | img,
|  | const ImgTile * | srcTile = `0`,
|  | AccessMode | mode = `ReadOnly`
| ) |  |

~ImgLockPageIterator | ( |  | ) |

## Member Function Documentation

virtual bool next | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from ImgPageIterator.

void* dataPtr | ( |  | ) |

Search for all occurrences

Reimplemented from ImgPageIterator.

## Member Data Documentation

bool m_SmartImage `[protected]`

Search for all occurrences

Definition at line 1234 of file image.h.

AccessMode m_Mode `[protected]`

Search for all occurrences

Definition at line 1235 of file image.h.

The documentation for this class was generated from the following file:

- Mudbox/image.h

ImgLockPageIterator ImgLockPageIterator ImgLockPageIterator ImgLockPageIterator ImgLockPageIterator ImgLockPageIterator ImgLockPageIterator ImgLockPageIterator ImgLockPageIterator ImgLockPageIterator
ImgLockPageIterator ImgLockPageIterator ImgLockPageIterator ImgLockPageIterator ImgLockPageIterator ImgLockPageIterator ImgLockPageIterator ImgLockPageIterator ImgLockPageIterator ImgLockPageIterator